---
- name: Install EPEL release
  ansible.builtin.package:
    name: 'epel-release'
    state: 'present'
  when: ansible_distribution in ('CentOS', 'Rocky', 'AlmaLinux')
  register: res
  until: res is success
  retries: '{{ package_retries }}'
  delay: '{{ package_delay }}'
  become: true
- name: Install etckeeper
  ansible.builtin.package:
    name: 'etckeeper'
    state: 'present'
  register: res
  until: res is success
  retries: '{{ package_retries }}'
  delay: '{{ package_delay }}'
  become: true
- name: Initialize etckeeper repositories
  ansible.builtin.command: 'etckeeper init -d "{{ item.path }}"'
  args:
    creates: '{{ item.path }}/.git'
  become: true
  with_items: '{{ etckeeper | default([]) }}'
- name: Commit etckeeper changes
  ansible.builtin.command: >-
    etckeeper commit -d
    "{{ item.path }}"
    "{{ etckeeper_message | default('Ansible etckeeper changes') }}"
  with_items: '{{ etckeeper | default([]) }}'
  register: etckeeper_commit_res
  failed_when: false
  changed_when: etckeeper_commit_res.rc == 0
  become: true
